Page 1 of 10

HOWTO: Use the repository on K/Ubuntu 9.10 and 10.04

Posted: 29/10/2009, 11:20
by voria
  • Repository URL: https://launchpad.net/~voria/+archive/ppa
  • Instructions:
    • Add the repository to the sources list and enable it
      Open a terminal and use the following command:

      Code: Select all

      sudo add-apt-repository ppa:voria/ppa
    • Perform a complete system update
      From the terminal, use the following command in order to update all the packages at the latest versions:

      Code: Select all

      sudo apt-get update && sudo apt-get upgrade
    • Install the important packages
      Use your favourite package manager to install the following packages:
      • samsung-backlight
        Enable the screen backlight support for notebooks/netbooks that don't have a proper support (mostly with Intel video cards).
        On Samsung NC10 it's not needed if you are using BIOS 11CA.
      • nvidia-bl-dkms (only for K/Ubuntu 10.04 - Lucid Lynx)
        Enable the screen backlight support for notebooks/netbooks shipped with nvidia video cards.
        After the installation, open the file '/etc/modules' in a text editor and add the line nvidia_bl.
      • samsung-wireless
        Enable the wireless card, on netbooks shipped with a Realtek card.
      • samsung-scripts (only for K/Ubuntu 9.10 - Karmic Koala)
        Enable the FN keys (more info and instructions on how to enable and use them here).
      • samsung-tools (only for K/Ubuntu 10.04 - Lucid Lynx)
        Enable full control and configuration of all devices (bluetooth, webcam, wireless, CPU fan, FN keys).
    • Reboot the system to have all changes applied.
    • Have fun! ;)
NOTE FOR KARMIC TO LUCID UPGRADE:
If you have previously installed the packages 'samsung-backlight' and 'easy-slow-down-manager' in karmic, you need to reinstall them in lucid, or else they will not work. Remove the old ones:

Code: Select all

sudo apt-get purge samsung-backlight-* easy-slow-down-manager-*
and install the new versions:

Code: Select all

sudo apt-get install samsung-backlight easy-slow-down-manager
Also, remove the old 'samsung-scripts' package if it's still installed, in order to avoid conflicts with the new 'samsung-tools'.

Re: HOWTO: Use the repository on K/Ubuntu 9.10 (Karmic Koala)

Posted: 31/10/2009, 12:36
by voria
A little note for the Ubuntu users who are considering to upgrade to karmic and need VGA output: it does not work well yet. When trying to switch monitors, image freezes on both the internal and external screens. I will investigate the problem.

Instead, on Kubuntu everything works perfectly, by using the 'krandrtray' utility.

Re: HOWTO: Use the repository on K/Ubuntu 9.10 (Karmic Koala)

Posted: 01/11/2009, 11:04
by voria
After some tests, it seems the screens' freeze only happens when compiz in enabled.
So, a simple workaround for now is to disable it when VGA output is needed, and everything will work perfectly.

Re: HOWTO: Use the repository on K/Ubuntu 9.10 (Karmic Koala)

Posted: 02/11/2009, 12:15
by marks
This is bug 419328, also raised upstream at Freedesktop.org

https://bugs.launchpad.net/bugs/419328

Re: HOWTO: Use the repository on K/Ubuntu 9.10 (Karmic Koala)

Posted: 04/11/2009, 20:12
by voria
Yes, I'm following it, hoping in a fast solution. :)

Re: HOWTO: Use the repository on K/Ubuntu 9.10 (Karmic Koala)

Posted: 12/11/2009, 10:57
by Nemorox
Hello,

First of all thank you very much for the great job you are doing for Ubuntu and NC10 :)

I install NC-10 Backlight but i still can't change the brightness using Fn+arrow up/down.

I'm using Ubuntu Karmic 9.10 on Samsung NC10. I have Bios 04CA.
I am afraid to update Bios. I read the How too and did not understand it :(

Therefore I prefer the solution with your NC-10 Backlight.

Any Idea to fix the problem ?

Re: HOWTO: Use the repository on K/Ubuntu 9.10 (Karmic Koala)

Posted: 12/11/2009, 11:34
by voria
What kernel are you using?
The current nc10-backlight is for kernel 2.6.31-14 available on main ubuntu repos. Proposed repos have the new 2.6.31-15, but I don't provide updates for proposed packages anymore.

Re: HOWTO: Use the repository on K/Ubuntu 9.10 (Karmic Koala)

Posted: 12/11/2009, 12:07
by Nemorox
Right :P

I don't know how it happened but I have the Kernel 2.6.31-15 :-\

I re-start my NC10 and choosed 2.6.31-14 in the Grub and the Brightness adjustment worked fine!

I tried to get rid off 2.6.31-15 using Synaptic to delete it. But when I restart the computer it logged in using it again ?

How can I suppress this 2.6.31-15 ?

Re: HOWTO: Use the repository on K/Ubuntu 9.10 (Karmic Koala)

Posted: 12/11/2009, 13:24
by voria
To disable proposed updates, go to 'System'->'Administration'->'Software Sources', then in 'Updates' tab and disable 'karmic-proposed'.

To remove the 2.6.31-15 kernel, open the package manager, search for '2.6.31-15' and remove any package found.

Re: HOWTO: Use the repository on K/Ubuntu 9.10 (Karmic Koala)

Posted: 12/11/2009, 13:32
by Nemorox
It worked ;)

Thanks !!

Re: HOWTO: Use the repository on K/Ubuntu 9.10 (Karmic Koala)

Posted: 29/11/2009, 23:06
by w00dy
hi,

first, thanks for this wonderful scripts...but i have one problem.

i add the source like your manual above, but i`m getting the following error message:
W: GPG error: http://ppa.launchpad.net karmic Release: The following signatures were invalid: BADSIG 36960FC31E5F36F0 Launchpad PPA for Fortunato Ventre
what is wrong??? what can i do?

thx for hlp. greetings from germany.

Re: HOWTO: Use the repository on K/Ubuntu 9.10 (Karmic Koala)

Posted: 30/11/2009, 0:04
by voria
Install the GPG key with the command

Code: Select all

sudo apt-get install --allow-unauthenticated voria-ppa-keyring
then reload the sources list

Code: Select all

sudo apt-get update

Re: HOWTO: Use the repository on K/Ubuntu 9.10 (Karmic Koala)

Posted: 30/11/2009, 0:15
by w00dy
hey,

after executing

Code: Select all

sudo apt-get install --allow-unauthenticated voria-ppa-keyring
i got this message:
voria-ppa-keyring is the newest version.
and after
sudo apt-get update
is still got
OK http://packages.medibuntu.org karmic Release.gpg
Ign http://packages.medibuntu.org karmic/free Translation-de
Ign http://packages.medibuntu.org karmic/non-free Translation-de
OK http://packages.medibuntu.org karmic Release
OK http://packages.medibuntu.org karmic/free Packages
OK http://packages.medibuntu.org karmic/non-free Packages
Es wurden 308B in 6s geholt (47B/s)
Paketlisten werden gelesen... Fertig
W: GPG error: http://ppa.launchpad.net karmic Release: The following signatures were invalid: BADSIG 36960FC31E5F36F0 Launchpad PPA for Fortunato Ventre
:(

Re: HOWTO: Use the repository on K/Ubuntu 9.10 (Karmic Koala)

Posted: 30/11/2009, 0:21
by voria
Mmm, that's really odd.
Maybe something went wrong during GPG key installation?
Please try to reinstall it with this command:

Code: Select all

sudo apt-get install --reinstall --allow-unauthenticated voria-ppa-keyring
If everything goes well you'll see an 'OK' at the end of the command's output.
Then, reload the sources list with

Code: Select all

sudo apt-get update

Re: HOWTO: Use the repository on K/Ubuntu 9.10 (Karmic Koala)

Posted: 19/12/2009, 17:46
by mintlars
Great! You're repo rock. About the backlight though, I can change the backlight now with the nc10-backlight package, but it don't have as many steps as before. It doesn't go really dark, like it used to do in jaunty, when brightness is set at the bottom. Is it suppose to be like that or is something wrong?